# Examples of gcli commands for copy-paste

Useful when developing: replace `gcli` by `cargo run --` to build in debug mode and launch gcli.

## Mnemonics

Used in duniter-indexer genesis config:  
`pipe paddle ketchup filter life ice feel embody glide quantum ride usage`

with derivations:

- `//2` → `test1`
- `//4` → `test2`
- `//6` → `test3`

Used in substrate for Alice, Bob and Co:  
`bottom drive obey lake curtain smoke basket hold race lonely fit walk`

with derivations:

- `//Alice`
- `//Bob`
- `//Charlie`
- ...

## Configuration

It can be handful to use Gcli with a configuration file to avoid passing arguments on every command.

```sh
# show config commands
gcli config
# show where config file is stored
gcli config where
# save config to use gdev network for next commands
gcli --network gdev config save
```

## Commands

```sh
# get duniter current block
gcli current-block
# get balance of test1 account
gcli --address 5FeggKqw2AbnGZF9Y9WPM2QTgzENS3Hit94Ewgmzdg5a3LNa account balance
# get information about test1 identity (needs indexer)
gcli identity get --username test1
```

## Indexer commands

You can check first that indexer is on the same network as Duniter node:

```sh
# check if indexer is on the same chain as duniter
gcli indexer check
```

The following commands uniquely relate with indexer.

```sh
# show latest indexer indexed block
gcli indexer latest-block
```